Bug 1303467 - Drag and drop always copies rather than moves
Drag and drop always copies rather than moves
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-31 18:52 EST by Dan Taylor
Modified: 2017-01-16 04:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 13:21:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Taylor 2016-01-31 18:52:24 EST
DDescription of problem:

expected behavior: Drag and drop of file to different directory on same device moves file. Shift-drag should force move behavior even to a different device.

observed behavior: Drag and drop of file always copies, never moves, whether destination is on same device or not. Shift-drag copes, does not move.

Version-Release number of selected component (if applicable):

'files' from F23 workstation with default gnome, up to date as of 2016 Jan 26.
encrypted LVM file system.

How reproducible: 100%

Steps to Reproduce:
1. open file browser
2. attempt to move file

Actual results:
drag and drop copes

Expected results:
drag and drop moves

Additional info:
able to mv files from command line, behaves as expected.
Comment 1 Matthias Clasen 2016-02-01 11:31:39 EST
This has recently been addressed in the underlying wayland protocol. DND actions are working in rawhide. It is unlikely that we'll backport all the required changes to f23
Comment 2 Clinton Minton 2016-08-14 20:24:44 EDT
I am having this problem while still using X, not wayland.

If I drag files from Downloads folder to another bookmarked folder on the left pane it will copy instead of move even though its on the same /home filesystem.

If I drag (trying to move) files in the same folder it will also make copies instead of moving. It doesn't always happen but more often than not it does.

I've been having this issue since Fedora 24 release date. Let me know if there is any other information you need. I can also do a screen recording of it.

rpm -q nautilus

uname -r
Comment 3 Fedora End Of Life 2016-11-24 10:19:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Niklas Hasse 2016-11-24 15:39:06 EST
This might be the corresponding upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=742463

I can confirm that this still happens from time to time in Fedora 25 (with X11).
Comment 5 Fedora End Of Life 2016-12-20 13:21:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jan Niklas Hasse 2017-01-16 04:09:01 EST
Can someone please reopen this bug? It's still happening on Fedora 25.

Note You need to log in before you can comment on or make changes to this bug.